Do not use
method: "crypto"with this endpoint. Use the Crypto API for wallet swaps and on-chain crypto payouts.
Use this endpoint to start a payout from a business wallet to a recipient with a supported fiat payout method.
Call the fees breakdown endpoint to get the current fees before you create a payout.
To pay a mobile money account, set method to mobile_money. Send phone_number, mobile_money_operator_id, and account_name. You do not need bank fields. Mobile money is available for KES, UGX, TZS, XOF, and GHS. Call the list mobile money operators endpoint to get the operator ID.
Blaaiz sends a webhook when the payout completes. For some currencies, such as CAD, Blaaiz also sends a webhook when processing starts. Required scope: payout:create.
Authorization
oauth2ClientCredentials payout:createUse your OAuth client credentials to obtain a short-lived Bearer token from POST /oauth/token.
In: header
Scope: payout:create
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl --request POST \ --url 'https://example.com/api/external/payout' \ --header 'Content-Type: application/json' \ --data '{ "wallet_id": "b18ed308-5ac5-4e9e-bb16-8c03ec2d3c01", "customer_id": "9d4c4ec5-59ea-4130-bf8a-6a5edec401ee", "method": "bank_transfer", "from_amount": 5000, "from_currency_id": "NGN", "to_currency_id": "NGN", "account_number": "0222500691", "bank_id": "1"}'{ "message": "Payout Initiated Successfully.", "transaction": { "id": "f20199fd-bdaf-483b-8ff1-08f9ab12f4ca", "business_id": "9d46461e-f991-423e-9f23-1dbff4079119", "business_customer_id": "9d4c4ec5-59ea-4130-bf8a-6a5edec401ee", "business_wallet_id": "9228327b-d448-43f4-a78a-0211edad4365", "status": "SUCCESSFUL", "reference": "ef5ba1ca-2a5f-4092-b19d-11f9f7ecbbac", "external_reference": null, "currency": "NGN", "amount": 473, "amount_without_fee": 473, "fee": 0, "rate": 1, "date": "2024-10-18T11:38:17.000000Z", "recipient": { "id": "6c258e65-de94-4d9d-87fb-117480a9d0e7", "account_number": "1234567890", "account_name": "Tunde Balogun", "amount": 473, "currency": "NGN", "bank_name": "Access Bank", "bank_code": "044" } }}POSTVerify EUR IBAN
Check if a EUR IBAN is reachable on the SEPA and SEPA Instant networks. Required scope: `bank:read`.
POSTGet fees breakdown
Calculate fees for a transaction between two currencies. Provide either from_amount or to_amount (not both). Send customer_id to get the fees that apply to that customer. Required scope: `fees:read`.